grk::vec< T, N > Struct Template Reference

`#include <WaveletCommon.h>`

## Public Member Functions

| vec (void)
| vec (T m)
vec | operator+ (const vec &rhs)
vec & | operator+= (const vec &rhs)
vec | operator- (const vec &rhs)
vec & | operator-= (const vec &rhs)

## Public Attributes

T | val [N]

## Static Public Attributes

static constexpr size_t | NUM_ELTS = N

## Constructor & Destructor Documentation

## vec() [1/2]

template<typename T , size_t N>

grk::vec< T, N >::vec | ( | void |  | ) |

inline

## vec() [2/2]

template<typename T , size_t N>

grk::vec< T, N >::vec | ( | T | m | ) |

inline explicit

References grk::grk_read(), and grk::vec< T, N >::val.

## Member Function Documentation

## operator+()

template<typename T , size_t N>

vec grk::vec< T, N >::operator+ | ( | const vec< T, N > & | rhs | ) |

inline

References grk::grk_read(), and grk::vec< T, N >::val.

## operator+=()

template<typename T , size_t N>

vec & grk::vec< T, N >::operator+= | ( | const vec< T, N > & | rhs | ) |

inline

References grk::grk_read(), and grk::vec< T, N >::val.

## operator-()

template<typename T , size_t N>

vec grk::vec< T, N >::operator- | ( | const vec< T, N > & | rhs | ) |

inline

References grk::grk_read(), and grk::vec< T, N >::val.

## operator-=()

template<typename T , size_t N>

vec & grk::vec< T, N >::operator-= | ( | const vec< T, N > & | rhs | ) |

inline

References grk::grk_read(), and grk::vec< T, N >::val.

## Member Data Documentation

## NUM_ELTS

template<typename T , size_t N>

constexpr size_t grk::vec< T, N >::NUM_ELTS = N

static constexpr

Referenced by grk::getHorizontalPassHeight().

## val

template<typename T , size_t N>

T grk::vec< T, N >::val[N]

Referenced by grk::vec< T, N >::operator+(), grk::vec< T, N >::operator+=(), grk::vec< T, N >::operator-(), grk::vec< T, N >::operator-=(), and grk::vec< T, N >::vec().

The documentation for this struct was generated from the following file:

- WaveletCommon.h